Subject: [lojban] Re: loi preti be fi lo nincli zo'u tu'e

From: Robin Lee Powell <[email-masked]>
Date: Thu, 30 Jan 2003 12:23:59 -0800

On Thu, Jan 30, 2003 at 02:00:22AM +0000, Martin Bays wrote:
> But if you mean generally, I don't see how you can just let DA
> assignments persist indefinitely. Sure you can use new variables, but
> for how long can you keep track of which subscripts are still
> available? Having to use da'o to wipe everything seems like overkill,
> and using it for each one would be a huge pain.

no'i as well.

> Sure, for casual usage I guess can you could let context decide
> whether your DA is new or not (though I don't like it), but surely we
> should have some proper rules? For that, my vote goes to the second
> CLL passage you quoted.

<nod>

> Anyway, sorry, this is all aside from the point. I'll try to ask my
> real question clearly, and then I'll stop bugging you all with my
> annoying newbie questions and pretensions to having a clue what the
> hell I'm talking about.

Heh. *I'm* enjoying it.

> > > > Note, however, that in both cases the poi does *not* appear to
> > > > be binding to just the ny.
> > >
> > > It *isn't*? Why not? And what is it binding to, then?
> >
> > ro boi ny. (as opposed to just ny.). Probably doesn't matter.
> >
> 
> OK... but only in the sense that {ro da poi...} has the poi binding to
> ro da rather than just da, right?

Correct.

> > > >Not sure that's a problem in this case, though. What's the boi
> > > >there for anyways?
> > >
> > > {ro ny.} counts as a number, for some reason. EBNF: "number = PA
> > > [PA ! lerfu-word]...". No idea what use this was included for,
> > > though.
> >
> > Umm, makes sense to me. Why is that a problem?
> 
> It got lost to my over-zealous snipping (.u'u), but the example
> started with something like {ro boi ny. zo'u...}. {ro ny. zo'u...}
> doesn't parse, in the same way that {ci zo'u...} doesn't, and wouldn't
> make any obvious sense if it did.

Huh. OK.

-Robin

-- 
http://www.digitalkingdom.org/~rlpowell/ *** I'm a *male* Robin.
.i le pamoi velru'e zo'u crepu le plibu taxfu
.i le remoi velru'e zo'u mo .i le cimoi velru'e zo'u ba'e prali .uisai
http://www.lojban.org/ *** to sa'a cu'u lei pibyta'u cridrnoma toi